

import java.io.Serializable;

import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.Id;
import javax.persistence.IdClass;
import javax.persistence.Lob;
import javax.persistence.PrimaryKeyJoinColumn;
import javax.persistence.SecondaryTable;
import javax.persistence.SecondaryTables;
class EmployeeId implements Serializable {
  private String name; 
  private int id; 

  public EmployeeId() {}
  public EmployeeId(String country, int id) {
    this.name = country;
    this.id = id;
  }

  public String getCountry() { return name; }
  public int getId() { return id; }

  public boolean equals(Object o) { 
      return ((o instanceof EmployeeId) && 
              name.equals(((EmployeeId)o).getCountry()) &&
              id == ((EmployeeId) o).getId());

  }

  public int hashCode() { 
      return name.hashCode() + id; 
  }
}
@Entity 
@IdClass(EmployeeId.class)
@SecondaryTables({
  @SecondaryTable(name="EMP_LOB", pkJoinColumns={
      @PrimaryKeyJoinColumn(name="EMP_Name", referencedColumnName="name"),
      @PrimaryKeyJoinColumn(name="ID", referencedColumnName="ID")})
})
public class Employee {

    @Id
    private int id;
    @Id
    private String name;

    @Basic(fetch=FetchType.LAZY)
    @Lob
    @Column(table="EMP_LOB")
    private byte[] photo;
    
    @Basic(fetch=FetchType.LAZY)
    @Lob
    @Column(table="EMP_LOB")
    private char[] comments;


    public int getId() {
        return id;
    }
    
    public void setId(int id) {
        this.id = id;
    }


    public String getName() {
        return name;
    }
    
    public void setName(String name) {
        this.name = name;
    }


    public char[] getComments() {
        return comments;
    }

    public void setComments(char[] comments) {
        this.comments = comments;
    }

    public byte[] getPhoto() {
        return photo;
    }

    public void setPhoto(byte[] photo) {
        this.photo = photo;
    }

    public String toString() {
        return "Employee id: " + getId() + " name: " + getName();
    }
}
